weixin_39910963
2020-12-09 08:22 阅读 0

I can't install version 1.4.0-1 and 1.6.0-1

I was trying installing in CentOS Linux release 7.6.1810 (Two days ago, I installed version 1.4.0 without problems). With this doc: https://opendistro.github.io/for-elasticsearch-docs/docs/install/rpm/ opendistroforelasticsearch 1.4.0-1

`Elasticsearch plugins dir: /usr/share/elasticsearch/plugins Elasticsearch lib dir: /usr/share/elasticsearch/lib Detected Elasticsearch Version: x-content-7.4.2 Detected Open Distro Security Version: 1.4.0.0

Success Execute this script now on all your nodes and then start all nodes Open Distro Security will be automatically initialized. If you like to change the runtime configuration change the files in ../securityconfig and execute: sudo "/usr/share/elasticsearch/plugins/opendistro_security/tools/securityadmin.sh" -cd "/usr/share/elasticsearch/plugins/opendistro_security/securityconfig" -icl -key "/etc/elasticsearch/kirk-key.pem" -cert "/etc/elasticsearch/kirk.pem" -cacert "/etc/elasticsearch/root-ca.pem" -nhnv or run ./securityadmin_demo.sh To use the Security Plugin ConfigurationGUI To access your secured cluster open https://: and log in with admin/admin.(Ignore the SSL certificate warning because we installed self-signed demo certificates) Fetching kNN library /var/tmp/rpm-tmp.55SQiA: línea 20: wget: no se encontró la orden error: %pre(opendistroforelasticsearch-0:1.4.0-1.noarch) scriptlet failed, exit status 127 Error in PREIN scriptlet in rpm package opendistroforelasticsearch-1.4.0-1.noarch error: opendistroforelasticsearch-0:1.4.0-1.noarch: install failed Created elasticsearch keystore in /etc/elasticsearch Comprobando : opendistro-alerting-1.4.0.0-1.noarch 1/8 Comprobando : opendistro-knn-1.4.0.0-1.noarch 2/8 Comprobando : opendistro-sql-1.4.0.0-1.noarch 3/8 Comprobando : opendistro-index-management-1.4.0.0-1.noarch 4/8 Comprobando : opendistro-job-scheduler-1.4.0.0-1.noarch 5/8 Comprobando : opendistro-security-1.4.0.0-0.noarch 6/8 Comprobando : elasticsearch-oss-7.4.2-1.x86_64 7/8 Comprobando : opendistroforelasticsearch-1.4.0-1.noarch 8/8

Dependencia(s) instalada(s): elasticsearch-oss.x86_64 0:7.4.2-1 opendistro-alerting.noarch 0:1.4.0.0-1 opendistro-index-management.noarch 0:1.4.0.0-1 opendistro-job-scheduler.noarch 0:1.4.0.0-1 opendistro-knn.noarch 0:1.4.0.0-1 opendistro-security.noarch 0:1.4.0.0-0 opendistro-sql.noarch 0:1.4.0.0-1

Falló: opendistroforelasticsearch.noarch 0:1.4.0-1 `

And then I tried with opendistroforelasticsearch 1.6.0-1:

`Detected Open Distro Security Version: 1.6.0.0 /etc/elasticsearch/elasticsearch.yml seems to be already configured for Security. Quit. Actualizando : opendistro-job-scheduler-1.6.0.0-1.noarch 8/16 Fetching kNN library /var/tmp/rpm-tmp.SpTBsM: línea 20: wget: no se encontró la orden error: %pre(opendistroforelasticsearch-0:1.6.0-1.noarch) scriptlet failed, exit status 127 Error in PREIN scriptlet in rpm package opendistroforelasticsearch-1.6.0-1.noarch Limpieza : opendistro-job-scheduler-1.4.0.0-1.noarch 10/16 error: opendistroforelasticsearch-0:1.6.0-1.noarch: install failed Limpieza : opendistro-security-1.4.0.0-0.noarch 11/16 Limpieza : opendistro-alerting-1.4.0.0-1.noarch 12/16 Limpieza : opendistro-index-management-1.4.0.0-1.noarch 13/16 Limpieza : opendistro-knn-1.4.0.0-1.noarch 14/16 Limpieza : opendistro-sql-1.4.0.0-1.noarch 15/16 Limpieza : elasticsearch-oss-7.4.2-1.x86_64 16/16 Created elasticsearch keystore in /etc/elasticsearch Comprobando : opendistro-performance-analyzer-1.6.0.0-1.noarch 1/16 Comprobando : opendistro-sql-1.6.0.0-1.noarch 2/16 Comprobando : opendistro-knn-1.6.0.0-1.noarch 3/16 Comprobando : opendistro-index-management-1.6.0.0-1.noarch 4/16 Comprobando : elasticsearch-oss-7.6.1-1.x86_64 5/16 Comprobando : opendistro-alerting-1.6.0.0-1.noarch 6/16 Comprobando : opendistro-security-1.6.0.1-0.noarch 7/16 Comprobando : opendistro-job-scheduler-1.6.0.0-1.noarch 8/16 Comprobando : opendistro-alerting-1.4.0.0-1.noarch 9/16 Comprobando : opendistro-job-scheduler-1.4.0.0-1.noarch 10/16 Comprobando : opendistro-sql-1.4.0.0-1.noarch 11/16 Comprobando : opendistroforelasticsearch-1.6.0-1.noarch 12/16 Comprobando : opendistro-index-management-1.4.0.0-1.noarch 13/16 Comprobando : opendistro-knn-1.4.0.0-1.noarch 14/16 Comprobando : opendistro-security-1.4.0.0-0.noarch 15/16 Comprobando : elasticsearch-oss-7.4.2-1.x86_64 16/16

Dependencia(s) instalada(s): opendistro-performance-analyzer.noarch 0:1.6.0.0-1

Dependencia(s) actualizada(s): elasticsearch-oss.x86_64 0:7.6.1-1 opendistro-alerting.noarch 0:1.6.0.0-1 opendistro-index-management.noarch 0:1.6.0.0-1 opendistro-job-scheduler.noarch 0:1.6.0.0-1 opendistro-knn.noarch 0:1.6.0.0-1 opendistro-security.noarch 0:1.6.0.1-0 opendistro-sql.noarch 0:1.6.0.0-1

Falló: opendistroforelasticsearch.noarch 0:1.6.0-1 `

Then I install wget and the result was (I think that wget should be a dependency): `Fetching kNN library --2020-04-03 12:28:56-- https://d3g5vo6xdbdb9a.cloudfront.net/downloads/k-NN-lib/libKNNIndexV1_7_3_6.zip Resolviendo d3g5vo6xdbdb9a.cloudfront.net (d3g5vo6xdbdb9a.cloudfront.net)... 13.33.232.121, 13.33.232.102, 13.33.232.69, ... Conectando con d3g5vo6xdbdb9a.cloudfront.net (d3g5vo6xdbdb9a.cloudfront.net)[13.33.232.121]:443... conectado. Petición HTTP enviada, esperando respuesta... 200 OK Longitud: 1401803 (1,3M) [application/zip] Grabando a: “libKNNIndexV1_7_3_6.zip”

 0K .......... .......... .......... .......... ..........  3% 2,90M 0s
50K .......... .......... .......... .......... ..........  7% 6,12M 0s

100K .......... .......... .......... .......... .......... 10% 10,5M 0s 150K .......... .......... .......... .......... .......... 14% 9,97M 0s 200K .......... .......... .......... .......... .......... 18% 15,1M 0s 250K .......... .......... .......... .......... .......... 21% 15,9M 0s 300K .......... .......... .......... .......... .......... 25% 22,2M 0s 350K .......... .......... .......... .......... .......... 29% 18,6M 0s 400K .......... .......... .......... .......... .......... 32% 21,8M 0s 450K .......... .......... .......... .......... .......... 36% 33,7M 0s 500K .......... .......... .......... .......... .......... 40% 27,9M 0s 550K .......... .......... .......... .......... .......... 43% 34,1M 0s 600K .......... .......... .......... .......... .......... 47% 40,1M 0s 650K .......... .......... .......... .......... .......... 51% 36,0M 0s 700K .......... .......... .......... .......... .......... 54% 47,7M 0s 750K .......... .......... .......... .......... .......... 58% 35,2M 0s 800K .......... .......... .......... .......... .......... 62% 51,3M 0s 850K .......... .......... .......... .......... .......... 65% 53,3M 0s 900K .......... .......... .......... .......... .......... 69% 29,3M 0s 950K .......... .......... .......... .......... .......... 73% 85,0M 0s 1000K .......... .......... .......... .......... .......... 76% 82,6M 0s 1050K .......... .......... .......... .......... .......... 80% 57,6M 0s 1100K .......... .......... .......... .......... .......... 84% 62,1M 0s 1150K .......... .......... .......... .......... .......... 87% 51,1M 0s 1200K .......... .......... .......... .......... .......... 91% 49,5M 0s 1250K .......... .......... .......... .......... .......... 94% 81,5M 0s 1300K .......... .......... .......... .......... .......... 98% 69,5M 0s 1350K .......... ........ 100% 106M=0,07s

2020-04-03 12:28:56 (19,9 MB/s) - “libKNNIndexV1_7_3_6.zip” guardado [1401803/1401803]

/var/tmp/rpm-tmp.mwuLMm: línea 21: unzip: no se encontró la orden error: %pre(opendistroforelasticsearch-0:1.6.0-1.noarch) scriptlet failed, exit status 127 Error in PREIN scriptlet in rpm package opendistroforelasticsearch-1.6.0-1.noarch Comprobando : opendistroforelasticsearch-1.6.0-1.noarch 1/1

Falló: opendistroforelasticsearch.noarch 0:1.6.0-1 `

I reverted the virtual machine and I have the next error: `Resolviendo dependencias --> Ejecutando prueba de transacción ---> Paquete opendistroforelasticsearch.noarch 0:1.4.0-1 debe ser instalado --> Resolución de dependencias finalizada

Dependencias resueltas

Package Arquitectura Versión Repositorio Tamaño Instalando: opendistroforelasticsearch noarch 1.4.0-1 opendistroforelasticsearch-artifacts-repo 3.5 k

Resumen de la transacción Instalar 1 Paquete

Tamaño total de la descarga: 3.5 k Tamaño instalado: 0
Is this ok [y/d/N]: y Downloading packages: opendistroforelasticsearch-1.4.0.rpm | 3.5 kB 00:00:00
Running transaction check Running transaction test Transaction test succeeded Running transaction Fetching kNN library --2020-04-03 12:38:53-- https://d3g5vo6xdbdb9a.cloudfront.net/downloads/k-NN-lib/libKNNIndex1_7_3_6.zip Resolviendo d3g5vo6xdbdb9a.cloudfront.net (d3g5vo6xdbdb9a.cloudfront.net)... 13.33.232.121, 13.33.232.130, 13.33.232.69, ... Conectando con d3g5vo6xdbdb9a.cloudfront.net (d3g5vo6xdbdb9a.cloudfront.net)[13.33.232.121]:443... conectado. Petición HTTP enviada, esperando respuesta... 403 Forbidden 2020-04-03 12:38:53 ERROR 403: Forbidden.

error: %pre(opendistroforelasticsearch-0:1.4.0-1.noarch) scriptlet failed, exit status 8 Error in PREIN scriptlet in rpm package opendistroforelasticsearch-1.4.0-1.noarch Comprobando : opendistroforelasticsearch-1.4.0-1.noarch 1/1

Falló: opendistroforelasticsearch.noarch 0:1.4.0-1 `

It seems that I can not install older versions?

该提问来源于开源项目:opendistro-for-elasticsearch/opendistro-build

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享

7条回答 默认 最新

  • weixin_39889329 weixin_39889329 2020-12-09 08:22

    Opendistro-1.6.0 comes with k-NN plugin. The plugin needs additional library to be present on the machine and it is installed the runtime. You need wget and unzip utilities on your box to install it. You can run 'sudo yum install wget unzip'

    点赞 评论 复制链接分享
  • weixin_39910963 weixin_39910963 2020-12-09 08:22

    Hello, I have tried to install version 1.4.0 without unzip and wget and today works fine (I supose some problem in repository in that moment) Regarding version 1.6.0, I tested with unzip and wget package and it works. But I have some question... I would need internet connection for install version 1.6.0??? I mean, I would have to download a package each time that I have to install (and the unzip it)? Thank you and regards

    点赞 评论 复制链接分享
  • weixin_39961636 weixin_39961636 2020-12-09 08:22

    120

    点赞 评论 复制链接分享
  • weixin_39532019 weixin_39532019 2020-12-09 08:22

    Same with version 1.7.0-1

    点赞 评论 复制链接分享
  • weixin_39670849 weixin_39670849 2020-12-09 08:22

    pls check #120 for Internet connectivity issue. Also copy the workaround here:

    
     #Get all needed rpms
     sudo curl https://d3g5vo6xdbdb9a.cloudfront.net/yum/opendistroforelasticsearch-artifacts.repo -o /etc/yum.repos.d/opendistroforelasticsearch-artifacts.repo
     sudo yum install --downloadonly --downloaddir=opendistro-rpms opendistroforelasticsearch-1.7.0
     cd opendistro-rpms
     #Remove the opendistroforelasticsearch rpm
     sudo rm -rf opendistroforelasticsearch-1.7.0.rpm 
    
     #Get the libKNNIndexV1_7_3_6.so lib file
     wget https://d3g5vo6xdbdb9a.cloudfront.net/downloads/k-NN-lib/libKNNIndexV1_7_3_6.zip
     unzip libKNNIndexV1_7_3_6.zip
    
     #copy the rpms and lib file to servers of your cluster
     #install odfe
     sudo yum localinstall -y *.rpm
     #mv the libKNNIndexV1_7_3_6.so lib file to /usr/lib
     sudo mv libKNNIndexV1_7_3_6.so /usr/lib/
     sudo systemctl start elasticsearch.service
    

    The key idea is that remove opendistroforelasticsearch-x.x.x.rpm and install the other RPMs and libKNNIndexV1_7_3_6 manually.

    Here I used 1.7.0 ODFE version. it should be the same for other versions which include KNN plugin.

    pls leave your comments in #120 if you still have issues. thanks

    点赞 评论 复制链接分享
  • weixin_39532019 weixin_39532019 2020-12-09 08:22

    That's a weird solution and go against .rpm and .deb way of use. Either the lib should have is own .rpm/.deb or it should be included in opendistroelasticsearch one.

    点赞 评论 复制链接分享
  • weixin_39670849 weixin_39670849 2020-12-09 08:22

    -cgdm yes, you are right. This is a workaround which allows us to be able to create the cluster with current releases. our engineering team is working on fixing it with final solution

    点赞 评论 复制链接分享

相关推荐